GET /api/v3/placeGroup/category/{categoryId}

Retrieve a Place Group Category

GetPlaceCategoryV3 Permissions: GroupsAndBenchmarksModule (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
categoryId The identifier for the place group category being retrieved integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

PlaceCategoryResponse
Property Description Type
autoGroup Is this category an automatically maintained one? boolean
numberOfGroups Number of groups within this category integer (int32)
numberOfGroupsWithVisibleMembers Number of groups within this category with members the logged in can see integer (int32)
placeGroupCategoryCode The place category code string
placeGroupCategoryId The place category identifier integer (int32)
placeGroupCategoryInfo The place category name string
Example Response application/json
{  "autoGroup": false,  "numberOfGroups": 1,  "numberOfGroupsWithVisibleMembers": 1,  "placeGroupCategoryCode": "string",  "placeGroupCategoryId": 1,  "placeGroupCategoryInfo": "string"
}